Ciao a tutti, sono nuovo del mondo Ubuntu, chiedo subito scusa se faccio domande banale o magari malposte. Sono passato da Windows 8 (portatile HP) ad un sistema operativo Ubuntu 12.04.04. Nell'installazione ho avuto qualche problema con la scheda video (schermo nero) e ho risolto seguendo alcune guide (mettendo nomodeset ecc.). Installato il SO tra gli aggiornamenti mi sono stati fatti scaricare driver AMD per la scheda video, che ho scaricato ed installato.

Ora il computer si avvia bene, i video si vedono, film anche ecc. Ho notato però che la macchina, anche quando fa operazioni semplici, sembra abbastanza impegnata; in particolare la ventola, pur non andando a mille, va, più di quanto ci si aspetterebbe. Ho fatto tutta una serie di operazioni per alleggerire il lavoro del pc ma ancora rimane il problema. In rete ho letto che potrebbe dipendere dalla scheda video, non pienamente compatibile o troppo pesante per Ubuntu 12.04. Infatti, come ho visto da questa paginail modello 8330 [o meglio cosi sembra, è serie 8000, giusto?] non è compatibile con 12.04.04 - mi riferisco a quella brutta X rossa.

Vengo ora alla domanda(e):

(1) l'ultima versione di Ubuntu, la 14.04, è compatibile con la scheda video Radeon HD 8330? E nel caso, se faccio l'upgrade all'ultima versione, risolvo i miei problemi?

(2) C'è un modo differente dall'upgrade a 14 per risolvere il problema? (installare driver o aggiornamenti che non conosco ecc.)

Scusatemi se mi sono dilungato, spero di non aver detto cose senza senso, :). Un saluto, grazie mille!!

RC

chiesto 06 Apr '15, 17:11

robertcapra2015's gravatar image

robertcapra2015
20113

modificato 08 Apr '15, 10:15

dadexix86's gravatar image

dadexix86 ♦♦
16.9k716161

Come scritto in quella pagina wiki [1], tutto dipende da che HWE stack hai installato nella 12.04.
Senza entrare in troppi tecnicismi, che versione del kernel Linux hai installato? Puoi saperlo dando il comando seguente in un terminale:

uname -r

Se hai il kernel 3.2.0, la sua scheda grafica funzionerà solo con i driver proprietari Catalyst.
Se hai il kernel 3.13.0, allora la tua scheda funzionerà sia con i driver open source Radeon che con i driver Catalyst.

[1] http://wiki.ubuntu-it.org/Hardware/Video/Ati/Radeon

(06 Apr '15, 17:54) alevipri alevipri's gravatar image

Questa pagina riguarda solo i driver open source, se vuoi avere informazioni sui driver proprietari sviluppati da AMD, devi leggere quest'altra pagina: http://wiki.ubuntu-it.org/Hardware/Video/Ati

La 14.04 dovrebbe funzionare correttamente con la tua scheda grafica, ma devi scaricare necessariamente la versione 14.04.1. La 14.04.2 ha un particolare bug che non permette l'installazione dei driver Catalyst.

Gli avanzamenti di versione funzionano solo se il sistema non è modificato. Altrimenti ti conviene reinstallare.

(06 Apr '15, 17:59) alevipri alevipri's gravatar image

P.s: Ubuntu 12.04.4 non è più supportato, devi passare alla 12.04.5 o alla 14.04. Se non sei sicuro della versione che hai installato, facci sapere che kernel hai (se hai il 3.11 utilizzi la 12.04.4).

(06 Apr '15, 18:08) alevipri alevipri's gravatar image

Mi dice che è "3.11.0-26-generic" Sai dirmi se posso fare l'aggiornamento alla versione 14.04.1? Scusami se non c'è arrivo da solo, ma ho malapena chiaro di cosa sto parlando, per il momento. Grazie molte della risposta, comunque! un saluto

(06 Apr '15, 22:41) robertcapra2015 robertcapra2015's gravatar image

Ah ok, non avevo visto il tuo ultimo messaggio. Io si, ho installato la 12.04.04 con kernel 3.11.026 (semplicemente perchè avevo il cd in casa, in effetti). Quello che mi premeva sapere - dato che ho letto dei problemi di compatibilità con le schede Radeon - è se aggiornando a 14.04 mi si distrugge tutto o se posso andare tranquillo.

Da quello che mi dici tu, scaricando e installando la 14.04.1, non dovrei avere problemi, giusto?

(07 Apr '15, 11:21) robertcapra2015 robertcapra2015's gravatar image
1

Domanda da un milione di dollari. Con le AMD non si sa mai come va a finire, soprattutto se si utilizzano i driver Catalyst. In via generale funzionano bene, ma talvolta capita che diano più problemi dei driver open preinstallati in Ubuntu. Ad esempio io ora sto usando i driver open (i Catalyst mi danno problemi).

In ogni caso, ti consiglio di installare la 14.04.1 non solo per i driver della tua scheda video, ma anche perchè se resti sulla 12.04.4 non ricevi più gli aggiornamenti per il tuo kernel Linux e per Xorg (nemmeno quelli di sicurezza) che sono parti fondamentali del sistema.

(07 Apr '15, 11:34) alevipri alevipri's gravatar image

Per iniziare, scarica la 14.04.1 da questa pagina, scorri l'elenco finchè non trovi ubuntu-14.04.1-desktop e scarichi la versione che fa per te (AMD64 per 64 bit, i386 per 32bit, ma suppongo che a te serva la 64bit).
Una volta scaricata, la masterizzi su un DVD o crei una Live usb a tuo piacimento. In questo modo puoi testare Ubuntu 14.04 sul tuo pc senza installarlo, basta selezionare Prova (invece che Installa) una volta avviata la Live.

Facci sapere se funziona :)

(07 Apr '15, 11:38) alevipri alevipri's gravatar image

Ciao ale, ho provato con la 14.04.1 Se faccio partire il boot dal dvd, arriva ad un certo punto e mi fa lo schermo nero, bloccandosi poi tutto. Questa cosa me la faceva anche 12.04.04, ho provato quindi a fare il 'nomodeset' e sono riuscito ad arrivare alla versione live di ubuntu - lo schermo andava, wi - fi anche ecc.

Mi chiedo però se il solo fatto che venga lo schermo nero nell'avvio dal cd, non sia di per sè sintomo dell'incompatabilità con la mia scheda video - e che quindi, sostanzialmente, arriverei ad avere gli stessi problemi che ho ora con il 12.04.04.

Che mi dici? Con 14.04.01 non risolvo i miei problemi con il video, ma mi conviene cmq per gli altri aggiornamenti? Mi sembra di capire, oltretutto, che tu hai avuto un problema simile: con i driver open source ora hai il pc che funziona normalmente? Non è 'zoppo' sotto nessun punto di vista?

(07 Apr '15, 13:43) robertcapra2015 robertcapra2015's gravatar image

ciao @robertcapra2015, ricordati di usare i "commenti", le "risposte" servono solo per fornire una soluzione alla domanda. Per ora te le ho convertite io in commenti ;)

(07 Apr '15, 14:39) alevipri alevipri's gravatar image

Il parametro nomodeset influenza l'utilizzo dei driver open source, nel tuo caso dei Radeon preinstallati in Ubuntu; in pratica ti permette di avviare il sistema con dei driver "generici", che tuttavia non hanno accelerazione grafica, risparmio energetico ecc.
Questo non è necessariamente un problema, soprattutto se hai intenzione di installare i driver proprietari Catalyst (prodotti da AMD). Una volta installati, il sistema utilizzerà i Catalyst per gestire la tua scheda video, quindi non dovrebbero esserci problemi.
Basta non rendere definitivo il parametro nomodeset.

(07 Apr '15, 14:44) alevipri alevipri's gravatar image

In generale, i driver open Radeon funzionano, ma non hanno tutte le funzionalità dei Catalyst e possono non essere perfettamente compatibili con le schede più recenti (come la tua).

I Catalyst al contrario dovrebbero gestire senza problemi le schede video più recenti (sono prodotti dalla AMD stessa!) ma a volte danno problemi.

Nel mio caso, avendo una scheda Ati vecchia ho scelto di utilizzare i Radeon che non mi danno problemi con gli aggiornamenti di sistema e funzionano alla grande.

(07 Apr '15, 14:50) alevipri alevipri's gravatar image

Purtroppo non so dirti se la ventola della tua scheda video verrà utilizzata meglio con Ubuntu 14.04 + driver Catalyst, ma sicuramente avrai un sistema supportato fino ad Aprile 2019 e sul quale potrai installare tutti i driver AMD che vuoi.
Ad esempio i Catalyst 14.12 potrebbero risolvere il tuo problema (leggi la pagina che ti ho linkato prima per sapere come installarli).
Tra l'altro, sai dirmi che versione dei Catalyst stai usando in questo momento?

(07 Apr '15, 14:53) alevipri alevipri's gravatar image

Grazie mille ale, sei stato grandissimo! appena capisco come si fa, ti do tutti i punti che posso :).. se mi esplode il pc o se va tutto bene, ti fo sapere. un saluto!!

(07 Apr '15, 15:48) robertcapra2015 robertcapra2015's gravatar image

Installato 14.04.01. Mi dà un errore "cannot find a backlight .." e poi arriva la schermata nera. Se faccio avvio in recovery mode riesco a entrare, sono andato in "software e aggiornamenti" e alla voce Driver Aggiuntivi c' questa cosa qua:

  1. In uso X.ORG X server MDATI display wrapper da xserver-xorg-video-ati(open source,testato)
  2. In uso driver video per gli acceleratori grafici AMD da fglrx-updates (proprietario)
  3. In uso driver..........................................................................da fglrx (proprietario).

Ora, ho provato a vedere dalle guide che mi hai dato, e mi sembra che di fatto io possa scegliere [giusto??]: quello open source dovrebbe andare ma non è un gran chè sul risparmio energetico, quello proprietario ha il risparmio energetico ma gli aggiornamenti non dipendono dalla community ubuntu dal fornitore. C'è un modo per scegliere quello 'migliore'? Sono tecnicamente equivalenti o uno dei due potrebbe non andare mentre l'altro si? grazz

(08 Apr '15, 10:31) robertcapra2015 robertcapra2015's gravatar image
1

@robertcapra2015 usa i commenti, non le risposte.

fglrx è il nome con cui si indicano i pacchetti dei driver Catalyst prodotti dalla AMD.
Segui le guide e installa i Catalyst.

E ovviamente facci sapere

(08 Apr '15, 10:39) alevipri alevipri's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×34
×33
×4

domanda posta: 06 Apr '15, 17:11

domanda visualizzata: 991 volte

ultimo aggiornamento: 08 Apr '15, 10:49

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.